org.apache.calcite.avatica

## Class Meta.StatementHandle

- java.lang.Object
- - org.apache.calcite.avatica.Meta.StatementHandle

Enclosing interface:
  Meta

    public static class Meta.StatementHandle
    extends Object

Statement handle.

### Field Summary

Fields
`String` `connectionId`
`int` `id`
`Meta.Signature` `signature` Only present for PreparedStatement handles, null otherwise.
`private static com.google.protobuf.Descriptors.FieldDescriptor` `SIGNATURE_DESCRIPTOR`

### Constructor Summary

Constructors
Constructor and Description
`StatementHandle(String connectionId, int id, Meta.Signature signature)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`static Meta.StatementHandle` `fromProto(Common.StatementHandle protoHandle)`
`int` `hashCode()`
`Common.StatementHandle` `toProto()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### SIGNATURE_DESCRIPTOR

    private static final com.google.protobuf.Descriptors.FieldDescriptor SIGNATURE_DESCRIPTOR

#### connectionId

    public final String connectionId

#### id

    public final int id

#### signature

    public Meta.Signature signature

Only present for PreparedStatement handles, null otherwise.

### Constructor Detail

#### StatementHandle

    public StatementHandle(String connectionId,
                           int id,
                           Meta.Signature signature)

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### toProto

    public Common.StatementHandle toProto()

#### fromProto

    public static Meta.StatementHandle fromProto(Common.StatementHandle protoHandle)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`